Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
balance
Get account balance
curl --request GET \
  --url https://api.privy.io/v1/accounts/{account_id}/balance \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'privy-app-id: <privy-app-id>'
HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/accounts/{account_id}/balance")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();
const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://api.privy.io/v1/accounts/{account_id}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/accounts/{account_id}/balance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.privy.io/v1/accounts/{account_id}/balance"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "total": {
    "value": "100.00",
    "currency": "usd"
  },
  "assets": [
    {
      "symbol": "<string>",
      "amount": "<string>",
      "price": {
        "value": "100.00",
        "currency": "usd"
      }
    }
  ],
  "assets_by_chain": [
    {
      "symbol": "<string>",
      "amount": "<string>",
      "price": {
        "value": "100.00",
        "currency": "usd"
      },
      "chain_id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

account_id
string
required

ID of the account.

Minimum string length: 1

Query Parameters

testnet_mode
enum<string>

When set to true, returns balances from testnet chains instead of mainnets.

Available options:
true,
false

Response

200 - application/json

The account balance.

The balance of a digital asset account, aggregated across all wallets and supported chains.

total
CurrencyAmount · object
required

The total balance across all assets.

Example:
{ "value": "100.00", "currency": "usd" }
assets
BalanceAsset · object[]
required

The individual asset balances, each computed across all supported chains.

assets_by_chain
BalanceAssetByChain · object[]

Individual asset balances per chain.